EAGLE(1)

NAME
eagle - Easily Applicable Graphical Layout Editor

SYNOPSIS
eagle [options] [file] [layers]

DESCRIPTION
EAGLE is a printed circuit board (PCB) design tool that combines schematic capture, layout editing and autorouting.

OPTIONS
Most of the options are intended for use with the CAM Processor in command line mode. Options are either switches that turn a certain feature on or off, or set a certain parameter to a given value. Switch options are followed by a '+' or '-' sign, which turns the given option 'on' or 'off', respectively. In the following list of all options switch options are shown with their default value. If a switch option is 'off' by default, it can be turned 'on' by simply using the option character (the '+' sign is implicit). With tolerance options values that have a positive sign define positive tolerances, negative signs define negative tolerances, and values without a sign define 'plus/minus' tolerances.

-A name
    Switch to assembly variant name.

-C command
    Executes the given command in an editor window. A file name (board, schematic or library) must be given, so that an editor window will be opened in which the command can be executed.

-D tolerance
    Tolerance for draw type apertures (0.1 = 10%). Default: 0

-E tolerance
    Tolerance for drills (0.1 = 10%). Default: 0

-F tolerance
    Tolerance for flash type apertures (0.1 = 10%). Default: 0

-N  No command line prompts. Turns off the command line message prompts in the CAM Processor. This is mostly useful for fully automated CAM batch jobs.

-O+ Optimize movement for pen plotters, photo plotters and drill stations. Default: on

-P layer=pen
    For pen plotters this option defines which layer is to be printed with which pen (color). layer can range from 1..255, pen can range from 1..255.

-R rackfile
    Drill rack file.

-S scriptfile
    Define a different startup script file name. Default: eagle.scr

-U name
    Use the file name instead of the default ~/.eaglerc file to store user settings.

-W wheelfile
    Aperture wheel file.

-X- Execute the CAM Processor in command line mode.

-a  obsolete

-c+ Assert positive coordinates ("auto fit"). Moves the output data so that everything is located in the positive coordinate area. Default: on

-d device
    CAM Processor output device (-d? for a list of all known devices).

-e- Emulate unavailable apertures with smaller ones. Default: off

-f+ Fill pads. Defines wehther the drill holes of pads and vias should be filles or not. Default: on

-h pageheight
    Page height (inch) for printers.

-m- Mirror output. Note that this can cause negative coordinates, so you might want to make sure that the -c option is on. Default: off

-o outputfile
    Output filename.

-p pendiameter
    Pen diameter (mm) for pen plotters. Default: 0

-q- Quick plot, which draws only the outlines of objects. Default: off

-r- Rotate output by 90 degrees. Note that this can cause negative coordinates, so you might want to make sure that the -c option is on. Default: off

-s scalefactor
    Scale factor for the generated output. Values smaller than 1.0 generate a shrinked output. If scalefactor has a negative (integer) value, the actual scale factor will be selected automatically so that the drawing will fit on the number of pages given by the absolute value of scalefactor. Default: 1.0

-t  obsolete

-u- Output upside down (i.e. rotate by 180 degrees). Note that this can cause negative coordinates, so you might want to make sure that the -c option is on. Default: off

-v penvelocity
    Pen velocity (in cm/s, for pen plotters that support this feature). The default value of 0 selects the plotter's default pen velocity. Default: 0

-w pagewidth
    Page width (inch) for printers.

-x offset
    Offset in x direction (inch). Default: 0.0

-y offset
    Offset in y direction (inch). Default: 0.0

DIRECTORIES
By default, EAGLE is installed in /opt/eagle-7.7.0 (if installed as user 'root'), or ~/eagle-7.7.0 (under the user's home directory), but you can install it into any other directory you might prefer.

The following subdirectories are located below this directory:
bin | Executable programs
cam | CAM Processor files
doc | Documentation files
dru | Design Rules files
lbr | Part library files
projects | Example board and schematic files
scr | Script files
ulp | User Language Programs

HELP SYSTEM
Context sensitive online help information is provided as an HTML file.

EAGLE implements its own help viewer, but the help file can of course also be viewed with any other HTML viewer.

SIGNALS

SIGTERM
    Terminates the program. Any modified files will not be saved.

EXIT STATUS

0   Successful program execution.

1   CAM Processor warning.

>1  An error has occurred.

FILES

~/.eaglerc
    User specific parameters are stored in the file .eaglerc under the user's home directory.

VERSION
This is EAGLE version 7.7.0.

AUTHOR
EAGLE is produced by CadSoft Computer GmbH (http://www.cadsoft.de). Copyright (c) 1988-2016 CadSoft Computer GmbH.